"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Container_1 = require("./Container");
function Inject(target, propertyKey) {
    SimpleCI.addInjectProperty(target, propertyKey);
}
exports.Inject = Inject;
class SimpleCI {
    static getContainer() {
        if (!SimpleCI.container) {
            SimpleCI.container = new Container_1.Container();
        }
        return SimpleCI.container;
    }
    static register(...serviceClasses) {
        this.getContainer().register(...serviceClasses);
    }
    static registerByName(name, serviceClass) {
        this.getContainer().registerByName(name, serviceClass);
    }
    static addInjectProperty(target, key) {
        this.getContainer().addInjectProperty(target, key);
    }
    static get(name) {
        return this.getContainer().get(name);
    }
    static getByType(c) {
        return this.getContainer().getByType(c);
    }
    static getAll() {
        return this.getContainer().getAll();
    }
    constructor() { }
}
exports.SimpleCI = SimpleCI;
exports.default = SimpleCI;
//# sourceMappingURL=SimpleCi.js.map