import 'reflect-metadata';
export declare function Inject(name?: string): (target: object, propertyKey: string) => void;
export declare class SimpleDI {
    private static container;
    private static getContainer();
    static register(...serviceClasses: any[]): void;
    static registerByName(name: string, serviceClass: any): void;
    static addInjectProperty(target: any, propertyKey: string, serviceName?: string): void;
    static get<T = any>(name: string): any;
    static getByType<T>(c: new (...args: any[]) => T): T;
    static getAll(): {
        [name: string]: any;
    };
    private constructor();
}
export default SimpleDI;
